## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global giturl  https://github.com/Quansight-Labs/accessible-pygments

Name:           python-accessible-pygments
Version:        0.0.5
Release:        %autorelease
Summary:        Accessible pygments themes

BuildArch:      noarch
License:        BSD-3-Clause
URL:            https://quansight-labs.github.io/accessible-pygments/
VCS:            git:%{giturl}.git
Source:         %{giturl}/archive/v%{version}/accessible-pygments-%{version}.tar.gz

BuildRequires:  python3-devel

%description
This package includes a collection of accessible themes for pygments
based on different sources.

%package     -n python3-accessible-pygments
Summary:        %{summary}

%py_provides python3-a11y-pygments

%description -n python3-accessible-pygments
This package includes a collection of accessible themes for pygments
based on different sources.

%prep
%autosetup -n accessible-pygments-%{version}

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_buildrequires -x tests

%build
export SETUPTOOLS_SCM_PRETEND_VERSION='%{version}'
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l a11y_pygments

%check
%pytest -v

%files -n python3-accessible-pygments -f %{pyproject_files}
%doc CHANGELOG.md README.md

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.0.5-6
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 15 2025 Jerry James <loganjerry@gmail.com> - 0.0.5-4
- Assert that a license is installed
- Run the tests in verbose mode

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Jerry James <loganjerry@gmail.com> - 0.0.5-2
- Fix the VCS field

* Wed Jun 12 2024 Jerry James <loganjerry@gmail.com> - 0.0.5-1
- Version 0.0.5

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.0.4-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.0.4-2
- Rebuilt for Python 3.12

* Thu Mar 30 2023 Jerry James <loganjerry@gmail.com> - 0.0.4-1
- Initial RPM
## END: Generated by rpmautospec
